lsb

Linux Standards Base software installation.

Mike Arnold

razorsedge

21,547 downloads

5,881 latest version

4.1 quality score

Version information

  • 1.2.0 (latest)
  • 1.1.0
  • 1.0.0
  • 0.0.1
released Jul 1st 2017
This version is compatible with:
  • Puppet Enterprise 2017.2.x, 2017.1.x, 2016.5.x, 2016.4.x
  • Puppet >=2.7.20 <5.0.0
  • RedHat
    ,
    CentOS
    ,
    OracleLinux
    ,
    Fedora
    , SuSE,
    Debian
    ,
    Ubuntu

Start using this module

Documentation

razorsedge/lsb — version 1.2.0 Jul 1st 2017

Puppet Linux Standards Base Module

master branch: Build Status develop branch: Build Status

Introduction

This module installs minimal Linux Standards Base (LSB) support to allow facter to present the LSB facts lsbdistcodename, lsbdistdescription, lsbdistid, lsbdistrelease, lsbmajdistrelease, and lsbrelease. It can also install full LSB support if required.

Actions:

  • Installs the LSB package.

OS Support:

  • RedHat family - tested on CentOS 5.5+ and CentOS 6.2+
  • SuSE family - should work
  • Debian family - should work

Class documentation is available via puppetdoc.

Examples

Install minimal LSB support for facter facts:

class { 'lsb': }

Install full LSB support:

class { 'lsb':
  install_full_lsb_support => true,
}

Notes

  • None

Issues

  • None

TODO

  • None

Contributing

Please see CONTRIBUTING.md for contribution information.

License

Please see LICENSE file.

Copyright

Copyright (C) 2012 Mike Arnold mike@razorsedge.org

razorsedge/puppet-lsb on GitHub

razorsedge/lsb on Puppet Forge